2019-12-08 03:39 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002182DragonWars[All Projects] Generalpublic2011-03-31 15:09
Reporterernsteiswuerfel 
Assigned ToPsygoreProject InfoDragon Wars (Interplay)
http://www.whdload.de/games/DragonWars.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002182: Gives me a "Exception "Privilege Violation" ($20) at $79DD3BE0 (Task
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: Version 1.1 (22.03.2009)

Gives me a "Exception "Privilege Violation" ($20) at $79DD3BE0 (Task 'input.device', ExpMem $BE0) occured." everytime I start Dragon Wars.
I can provide the WHDL register and memory dumps too if needed.
Thanks!
TagsNo tags attached.
MachineA1200
CPU68EC030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.5
KickROM39 - Kick 3.0
KickSoft40 - Kick 3.1
WHDLoad16.9
importedyes
Attached Files

-Relationships
related to 0002094closedWepl WHDLoad "privilege violation" at expmem+$8f6 
+Relationships

-Notes

note ~0001907

ernsteiswuerfel (reporter)

just realized I wanted to report the same 2009-10-23 bug again ;)

still occurs on my machine, now with OS 3.9.

also seems MMU related, as the game runs ok with NOMMU tooltype.

note ~0001936

Psygore (developer)

Have you a full working MMU on your 030?
If yes, could you try with options: MMU NOCACHE

note ~0001942

ernsteiswuerfel (reporter)

It's a Blizzard 1230 IV, so the 030 should have an MMU.

With MMU NOCACHE the game works now!

I am curious - would you recommend running games with MMU NOCACHE or simply with NOMMU if the have problems with 030 & MMU?

note ~0001943

Psygore (developer)

Thanks for testing.
On 030 with full MMU, MMU option should always be set.
You can enable it using s:whdload.prefs (http://www.whdload.de/docs/WHDLoad.prefs)
When a game has some prob, most of the time NOCACHE (in tooltypes) is the first option to try (NOMMU is the last after EXPCHIP, NOVBRMOVE...).
See http://www.whdload.de/docs/en/opt.html#NoMMU

note ~0002137

Psygore (developer)

it should work without NOCACHE option with the lastest whdload http://www.whdload.de/whdload/whd170.lha

note ~0002143

ernsteiswuerfel (reporter)

yep, I can confirm it works good with WHDload 17!
+Notes

-Issue History
Date Modified Username Field Change
2009-10-31 21:06 administrator New Issue
2009-10-31 21:06 administrator Status new => assigned
2009-10-31 21:06 administrator Assigned To => Psygore
2009-10-31 21:06 administrator Machine => A1200
2009-10-31 21:06 administrator CPU => 68EC030
2009-10-31 21:06 administrator CPUSpeed => 50
2009-10-31 21:06 administrator ChipSet => AGA
2009-10-31 21:06 administrator GFXCard => None
2009-10-31 21:06 administrator ChipMem => 2 MB
2009-10-31 21:06 administrator FastMem => 32 MB
2009-10-31 21:06 administrator Workbench => OS 3.5
2009-10-31 21:06 administrator KickROM => 39 - Kick 3.0
2009-10-31 21:06 administrator KickSoft => 40 - Kick 3.1
2009-10-31 21:06 administrator WHDLoad => 16.9
2009-10-31 21:06 administrator imported => yes
2010-09-01 19:33 ernsteiswuerfel File Added: DragonWars_registerdump.7z
2010-09-01 19:36 ernsteiswuerfel Note Added: 0001907
2010-09-17 17:51 Psygore Note Added: 0001936
2010-09-19 20:24 ernsteiswuerfel Note Added: 0001942
2010-09-22 10:52 Psygore Note Added: 0001943
2010-11-10 12:16 Psygore Note Added: 0002137
2010-11-10 12:22 Psygore Relationship added parent of 0002094
2010-11-10 12:24 Psygore Relationship deleted parent of 0002094
2010-11-10 12:24 Psygore Relationship added related to 0002094
2010-11-12 13:53 ernsteiswuerfel Note Added: 0002143
2010-11-14 14:49 Psygore Status assigned => resolved
2010-11-14 14:49 Psygore Resolution open => fixed
2011-03-31 15:09 Psygore Status resolved => closed
+Issue History